# Get Templates For customers with the Adaptive Template templates feature, use this endpoint to return a list of all available templates in the system. Endpoint: POST /template Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `from` (integer, required) The beginning index of the search. A value greater than 0 will offset the search. - `limit` (integer,null, required) The maximum number of templates to return per page. Example: 50 - `searchTerm` (array,null) List of search terms with AND operation by default Example: ["*"] - `sortBy` (array,null, required) The metadata attribute and order to sort by. - `sortBy.metadataDefinitionSearchField` (string) Sort the result set according to specified attributes by metadata search field name Example: "lastUpdatedEpoch" - `sortBy.order` (string) Sort Order Enum: "asc", "desc" - `operation` (string, required) Indicates whether to apply an AND conditions or an OR condition between search terms Example: "AND" ## Response 200 fields (application/json): - `childProductIds` (array) - `renditionsDocument` (object) - `renditionsDocument.fpo` (string) Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/Template_Store_Asset_1-fpo.png" - `renditionsDocument.aiRendition` (string) Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/aiRendition.png" - `renditionsDocument.imagePreviewLarge` (string) Rendition of the original asset in PNG format with a size of 1000x1000 Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/09789d41-0b7b-4c13-b060-41b5e479f844-1000x1000.png" - `renditionsDocument.imageThumb` (string) Rendition of the original asset in PNG format with a size of 200x200 Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/09789d41-0b7b-4c13-b060-41b5e479f844-200x200.png" - `renditionsDocument.imagePreview` (string) Rendition of the original asset in PNG format with a size of 700x700 Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/09789d41-0b7b-4c13-b060-41b5e479f844-700x700.png" - `renditionsDocument.mezzaninePreview` (string) Rendition of the original asset in PNG format with a size of 3000x3000 Example: "https://tenant.tenovos.io/1623232044386/74216a5c-386d-47d6-854c-dc28535116cf/Template_Store_Asset_1-3000x3000.png" - `renditionsDocument.height` (integer) Example: 1080 - `renditionsDocument.width` (integer) Example: 1920 - `avamTags` (array) - `lockType` (array) - `objectType` (string) - `digitalAssetIds` (array) - `fileState` (string) - `technicalMetadataDocument` (object) - `technicalMetadataDocument.image_metadata` (object) - `technicalMetadataDocument.tenovos_metadata` (object) - `technicalMetadataDocument.tenovos_metadata.fileName` (string) - `technicalMetadataDocument.tenovos_metadata.fileSize` (string) - `technicalMetadataDocument.tenovos_metadata.fileSizeInBytes` (integer) - `technicalMetadataDocument.tenovos_metadata.MD5Checksum` (string) - `customerId` (string) Unique Identifier for the Tenovos Cusotmer - `lastUpdatedEpoch` (integer) - `metadataTemplateId` (string) - `objectId` (string) - `metadataDocument` (object) - `metadataDocument.system_created_epoch` (string) - `metadataDocument.template_title` (string) - `metadataDocument.description` (string) - `metadataDocument.system_content_type` (string) - `metadataDocument.system_is_federated` (string) - `metadataDocument.system_security_templates` (array) - `metadataDocument.title` (string) - `metadataDocument.system_metadata_templates` (string) - `metadataDocument.web2print_template_name` (string) - `metadataDocument.system_mime_type` (string) - `metadataDocument.web2print_job_name` (string) - `metadataDocument.system_checksum` (string) - `metadataDocument.system_last_updated_by` (string) - `metadataDocument.system_skip_transcode` (string) - `metadataDocument.system_created_date` (integer) - `metadataDocument.system_created_by` (string) - `metadataDocument.web2print_job_xml` (string) - `metadataDocument.web2printlink` (string) - `metadataDocument.system_match` (string) - `metadataDocument.system_last_updated_date` (integer) - `metadataState` (string) - `lastUpdatedBy` (string) Unique Identifier of the Tenovos user who last updated the template. - `originalFileId` (string) - `securityTemplateIds` (array) - `currentVersion` (string) Indicates whether or not this template/asset is the latest version available Enum: "Y", "N" - `versionNumber` (integer) - `filename` (string) - `createdEpoch` (integer) - `technicalMetadataText` (string) - `createdBy` (string) Unique Identifier of the Tenovos user who created the template/asset - `AITags` (array) - `fileId` (string) - `securityTemplateDenormalized` (array) Contains an array of objects, one for each Tenovos user group assigned permissions on the Security Template applied to the asset, identified by user goup id, and includes an array of persmission identifiers for each user group. - `securityTemplateDenormalized.groupId` (string) - `securityTemplateDenormalized.permissions` (array) ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)